Get account values for querying commitments. - m3ter Documentation
Get account values for querying commitments.
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/accounts \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Successful response.
- 4XX: Client error.
- 5XX: Server error.
Example Response Structure
{
"accountCodes": [
"<string>"
],
"accounts": [
{
"code": "<string>",
"name": "<string>"
}
]
}
Authorization
- Authorization: Required header element that supports machine-to-machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: (required) UUID of the organization.
Query Parameters
- limit: Limits the number of items returned. Must be in the range
1 <= x <= 10000.
Response Description
- 200: Returns a list of accounts used for filtering bill queries.
- accountCodes: An array of account codes.
- accounts: An array of account objects.